Overview | Modules | Class Hierarchy | Classes | Members

# tlp::WithDependency Class Reference
[Plugins]

`#include <WithDependency.h>`

Inherited by tlp::Algorithm, tlp::ExportModule, tlp::ImportModule, and tlp::PropertyAlgorithm.

Inheritance diagram for tlp::WithDependency:

[legend]
List of all members.

## Public Member Functions

- std::list< Dependency > getDependencies ()
- template<typename Ty> void addDependency (const char *name, const char *release)

## Protected Member Functions

- void addDependency (const char *factory, const char *name, const char *release)

## Protected Attributes

- std::list< Dependency > dependencies

## Member Function Documentation

template<typename Ty>
void tlp::WithDependency::addDependency | ( | const char * | name,
|  | const char * | release
| ) | `[inline]`

| Indicates that the current algorithm depends on the named algorithm of type 'Ty' which is supposing to have the parameters specified as second argument. If non null the second argument needs to be a null terminated array of character strings.

void tlp::WithDependency::addDependency | ( | const char * | factory,
|  | const char * | name,
|  | const char * | release
| ) | `[inline, protected]`

std::list<Dependency> tlp::WithDependency::getDependencies | ( |  | ) | `[inline]`

## Member Data Documentation

std::list<Dependency> tlp::WithDependency::dependencies `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010